import request from '@/utils/request'

// 初始化合同
export function initArrivalStateContact() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间管理_到货情况_查询数据',
      param: '采购合同流水号_check=0&供应商名称_check=0'
    }
  })
}
// 查询到货情况
export function searchArrivalState(pageCurrent, pageSize, check1, num, check2, name) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间管理_到货情况_查询数据',
      param: `采购合同流水号_check=${check1}&采购合同流水号=${num}&供应商名称_check=${check2}&供应商名称=${name}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询到货情况
export function searchArrivalNum(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间管理_合同物料到货情况_查询数据_外购件',
      param: `采购合同流水号=${num}`
    }
  })
}
// 查询到货情况
export function searchArrivalNum1(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间管理_合同物料到货情况_查询数据_基本件',
      param: `采购合同流水号=${num}`
    }
  })
}
